Examplary
  • Start for free
    Developer docs

    Update attribute

    POSThttps://api.examplary.ai/attributes/{id}

    Update an existing attribute in the current workspace.

    Path parameters

    idstringrequired

    Request body

    namestring· min length: 1· max length: 255
    attributeTypestring

    Allowed values:stringcategorystudentLevelsubject

    optionsarray string[]
    showInStudentDashboardboolean
    showAsStudentPreferenceboolean
    positionnumber
    appearanceColorstring· nullable

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    429 — Rate limit exceeded

    Requirements

    Rate limit

    30 requests per minute per user.

    User roles

    This endpoint requires the admin or owner role to be present.

    OAuth scopes

    This endpoint requires the attributes:write scope to be present.